#!/bin/sh
# last update: jelly+paketi@srce.hr  Mon Oct 30 13:56:00 CET 2006

set -e

[ "$DEBIAN_SCRIPT_DEBUG" ] && set -vx

PATH=/bin:/usr/bin:/sbin:/usr/sbin
export PATH

. /usr/share/amavisd-cn/version.sh
. /usr/share/carnet-tools/functions.sh
. /usr/share/amavisd-cn/variables.sh
. /usr/share/amavisd-cn/functions.sh

# find out which MTA, assume postfix
mta=postfix
ACONFTMPL=$POSTTMPL
TMPLVERSION=$POSTTMPLVERSION
if dpkg -l postfix | grep -q '^.i'; then
  . /usr/share/amavisd-cn/postfix.sh
else
  # should never happen
  echo "CN: Don't invoke this script unless you have $mta installed!" >&2
  exit 1
fi 

# postfix config
if [ "$mta" = postfix ]; then
  update_postfix
  conf_postfixize
fi # end postfix config

# nonexistent or empty config
if [ ! -f $ACONF -o ! -s $ACONF ]; then
  # should never happen
  echo "CN: Can't find $ACONF?!" >&2
  exit 2
fi

# START AMAVISD
if [ "$restart_daemon" -a -x /etc/init.d/amavis.amavisd-new ]; then
  /etc/init.d/amavis.amavisd-new restart
fi
# always check that the daemons are running
if ! wait_for_fds amavis; then
  /etc/init.d/amavis.amavisd-new start < /dev/null 
  wait_for_fds amavis
fi
